Subject: Re: bug#3419: 23.0.94; calc, calendar and temp-buffer-resize-mode

From: martin rudalics <[email-masked]>
Date: Tue, 01 Nov 2011 15:38:17 +0100

> Some modes bind `same-window-buffer-names' to nil when it makes no sense
 > to display the *Help* or *Info* buffer in the same window when it is
 > too small, thus overridding the user's settings.
 >
 > IIUC, with the new window rules, the right way to do this is to bind
 > `display-buffer-overriding-action' to `display-buffer-pop-up-window'.
 > But this doesn't work as expected:
 >
 > (let ((display-buffer-overriding-action '(display-buffer-pop-up-window)))
 >   (with-output-to-temp-buffer "*Help*"
 >     (princ "GNU Emacs Calculator.\n")))
 >
 > It still displays the *Help* buffer in the same window when
 > (add-to-list 'same-window-buffer-names "*Help*") is presented in .emacs.

I suppose because `display-buffer-pop-up-window' cannot split the window
due to `split-height-threshold' being too large.  You really just wanted
to add (inhibit-same-window . t) somewhere.

A related problem: With emacs -Q insert and evaluate in *scratch* the
form

(customize-set-variable
  'display-buffer-alist
  '(("\\*.*\\*" . (display-buffer-pop-up-frame . nil))))

move point to "alist" and type M-$.  Gets me

ispell-highlight-spelling-error-overlay: Marker points into wrong buffer

martin